export default AddToMealPlanRequest1;
/**
 * The AddToMealPlanRequest1 model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/AddToMealPlanRequest1
 * @version 1.1
 */
declare class AddToMealPlanRequest1 {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, date: any, slot: any, position: any, type: any, value: any): void;
    /**
     * Constructs a <code>AddToMealPlanRequest1</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/AddToMealPlanRequest1} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/AddToMealPlanRequest1} The populated <code>AddToMealPlanRequest1</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>AddToMealPlanRequest1</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/AddToMealPlanRequest1
     * @param date {Number}
     * @param slot {Number}
     * @param position {Number}
     * @param type {String}
     * @param value {module:com.spoonacular.client/com.spoonacular.client.model/AddToMealPlanRequest1Value}
     */
    constructor(date: number, slot: number, position: number, type: string, value: any);
    date: any;
    slot: any;
    position: any;
    type: any;
    value: any;
}
