export default AddToMealPlanRequest1Value;
/**
 * The AddToMealPlanRequest1Value model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/AddToMealPlanRequest1Value
 * @version 1.1
 */
declare class AddToMealPlanRequest1Value {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, ingredients: any): void;
    /**
     * Constructs a <code>AddToMealPlanRequest1Value</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/AddToMealPlanRequest1Value} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/AddToMealPlanRequest1Value} The populated <code>AddToMealPlanRequest1Value</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>AddToMealPlanRequest1Value</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/AddToMealPlanRequest1Value
     * @param ingredients {Array.<module:com.spoonacular.client/com.spoonacular.client.model/AddToMealPlanRequest1ValueIngredientsInner>}
     */
    constructor(ingredients: Array<module>);
    ingredients: any;
}
