export default AutocompleteIngredientSearch200ResponseInner;
/**
 * The AutocompleteIngredientSearch200ResponseInner model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/AutocompleteIngredientSearch200ResponseInner
 * @version 1.1
 */
declare class AutocompleteIngredientSearch200ResponseInner {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, name: any, image: any): void;
    /**
     * Constructs a <code>AutocompleteIngredientSearch200ResponseInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/AutocompleteIngredientSearch200ResponseInner} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/AutocompleteIngredientSearch200ResponseInner} The populated <code>AutocompleteIngredientSearch200ResponseInner</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>AutocompleteIngredientSearch200ResponseInner</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/AutocompleteIngredientSearch200ResponseInner
     * @param name {String}
     * @param image {String}
     */
    constructor(name: string, image: string);
    name: any;
    image: any;
    id: any;
    aisle: any;
    possibleUnits: any;
}
