export default ClassifyGroceryProductBulk200ResponseInner;
/**
 * The ClassifyGroceryProductBulk200ResponseInner model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ClassifyGroceryProductBulk200ResponseInner
 * @version 1.1
 */
declare class ClassifyGroceryProductBulk200ResponseInner {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, cleanTitle: any, image: any, category: any, breadcrumbs: any, usdaCode: any): void;
    /**
     * Constructs a <code>ClassifyGroceryProductBulk200ResponseInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ClassifyGroceryProductBulk200ResponseInner} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ClassifyGroceryProductBulk200ResponseInner} The populated <code>ClassifyGroceryProductBulk200ResponseInner</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ClassifyGroceryProductBulk200ResponseInner</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ClassifyGroceryProductBulk200ResponseInner
     * @param cleanTitle {String}
     * @param image {String}
     * @param category {String}
     * @param breadcrumbs {Array.<String>}
     * @param usdaCode {Number}
     */
    constructor(cleanTitle: string, image: string, category: string, breadcrumbs: Array<string>, usdaCode: number);
    cleanTitle: any;
    image: any;
    category: any;
    breadcrumbs: any;
    usdaCode: any;
}
