export default ComputeGlycemicLoad200ResponseIngredientsInner;
/**
 * The ComputeGlycemicLoad200ResponseIngredientsInner model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ComputeGlycemicLoad200ResponseIngredientsInner
 * @version 1.1
 */
declare class ComputeGlycemicLoad200ResponseIngredientsInner {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, id: any, original: any, glycemicIndex: any, glycemicLoad: any): void;
    /**
     * Constructs a <code>ComputeGlycemicLoad200ResponseIngredientsInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ComputeGlycemicLoad200ResponseIngredientsInner} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ComputeGlycemicLoad200ResponseIngredientsInner} The populated <code>ComputeGlycemicLoad200ResponseIngredientsInner</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ComputeGlycemicLoad200ResponseIngredientsInner</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ComputeGlycemicLoad200ResponseIngredientsInner
     * @param id {Number}
     * @param original {String}
     * @param glycemicIndex {Number}
     * @param glycemicLoad {Number}
     */
    constructor(id: number, original: string, glycemicIndex: number, glycemicLoad: number);
    id: any;
    original: any;
    glycemicIndex: any;
    glycemicLoad: any;
}
