export default CreateRecipeCard200Response;
/**
 * The CreateRecipeCard200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/CreateRecipeCard200Response
 * @version 1.1
 */
declare class CreateRecipeCard200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, url: any): void;
    /**
     * Constructs a <code>CreateRecipeCard200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/CreateRecipeCard200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/CreateRecipeCard200Response} The populated <code>CreateRecipeCard200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>CreateRecipeCard200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/CreateRecipeCard200Response
     * @param url {String}
     */
    constructor(url: string);
    url: any;
}
