export default GenerateMealPlan200Response;
/**
 * The GenerateMealPlan200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GenerateMealPlan200Response
 * @version 1.1
 */
declare class GenerateMealPlan200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, meals: any, nutrients: any): void;
    /**
     * Constructs a <code>GenerateMealPlan200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GenerateMealPlan200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GenerateMealPlan200Response} The populated <code>GenerateMealPlan200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GenerateMealPlan200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GenerateMealPlan200Response
     * @param meals {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetSimilarRecipes200ResponseInner>}
     * @param nutrients {module:com.spoonacular.client/com.spoonacular.client.model/GenerateMealPlan200ResponseNutrients}
     */
    constructor(meals: Array<module>, nutrients: any);
    meals: any;
    nutrients: any;
}
