export default GenerateShoppingList200Response;
/**
 * The GenerateShoppingList200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GenerateShoppingList200Response
 * @version 1.1
 */
declare class GenerateShoppingList200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, aisles: any, cost: any, startDate: any, endDate: any): void;
    /**
     * Constructs a <code>GenerateShoppingList200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GenerateShoppingList200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GenerateShoppingList200Response} The populated <code>GenerateShoppingList200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GenerateShoppingList200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GenerateShoppingList200Response
     * @param aisles {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetShoppingList200ResponseAislesInner>}
     * @param cost {Number}
     * @param startDate {Number}
     * @param endDate {Number}
     */
    constructor(aisles: Array<module>, cost: number, startDate: number, endDate: number);
    aisles: any;
    cost: any;
    startDate: any;
    endDate: any;
}
