export default GetAnalyzedRecipeInstructions200Response;
/**
 * The GetAnalyzedRecipeInstructions200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetAnalyzedRecipeInstructions200Response
 * @version 1.1
 */
declare class GetAnalyzedRecipeInstructions200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, parsedInstructions: any, ingredients: any, equipment: any): void;
    /**
     * Constructs a <code>GetAnalyzedRecipeInstructions200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetAnalyzedRecipeInstructions200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetAnalyzedRecipeInstructions200Response} The populated <code>GetAnalyzedRecipeInstructions200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetAnalyzedRecipeInstructions200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetAnalyzedRecipeInstructions200Response
     * @param parsedInstructions {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetAnalyzedRecipeInstructions200ResponseParsedInstructionsInner>}
     * @param ingredients {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetAnalyzedRecipeInstructions200ResponseIngredientsInner>}
     * @param equipment {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetAnalyzedRecipeInstructions200ResponseIngredientsInner>}
     */
    constructor(parsedInstructions: Array<module>, ingredients: Array<module>, equipment: Array<module>);
    parsedInstructions: any;
    ingredients: any;
    equipment: any;
}
