export default GetIngredientSubstitutes200Response;
/**
 * The GetIngredientSubstitutes200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetIngredientSubstitutes200Response
 * @version 1.1
 */
declare class GetIngredientSubstitutes200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, ingredient: any, substitutes: any, message: any): void;
    /**
     * Constructs a <code>GetIngredientSubstitutes200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetIngredientSubstitutes200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetIngredientSubstitutes200Response} The populated <code>GetIngredientSubstitutes200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetIngredientSubstitutes200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetIngredientSubstitutes200Response
     * @param ingredient {String}
     * @param substitutes {Array.<String>}
     * @param message {String}
     */
    constructor(ingredient: string, substitutes: Array<string>, message: string);
    ingredient: any;
    substitutes: any;
    message: any;
}
