export default GetMealPlanTemplate200Response;
/**
 * The GetMealPlanTemplate200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetMealPlanTemplate200Response
 * @version 1.1
 */
declare class GetMealPlanTemplate200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, id: any, name: any, days: any): void;
    /**
     * Constructs a <code>GetMealPlanTemplate200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetMealPlanTemplate200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetMealPlanTemplate200Response} The populated <code>GetMealPlanTemplate200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetMealPlanTemplate200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetMealPlanTemplate200Response
     * @param id {Number}
     * @param name {String}
     * @param days {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetMealPlanTemplate200ResponseDaysInner>}
     */
    constructor(id: number, name: string, days: Array<module>);
    id: any;
    name: any;
    days: any;
}
