export default GetMealPlanWeek200ResponseDaysInner;
/**
 * The GetMealPlanWeek200ResponseDaysInner model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetMealPlanWeek200ResponseDaysInner
 * @version 1.1
 */
declare class GetMealPlanWeek200ResponseDaysInner {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, date: any, day: any): void;
    /**
     * Constructs a <code>GetMealPlanWeek200ResponseDaysInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetMealPlanWeek200ResponseDaysInner} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetMealPlanWeek200ResponseDaysInner} The populated <code>GetMealPlanWeek200ResponseDaysInner</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetMealPlanWeek200ResponseDaysInner</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetMealPlanWeek200ResponseDaysInner
     * @param date {Number}
     * @param day {String}
     */
    constructor(date: number, day: string);
    nutritionSummary: any;
    nutritionSummaryBreakfast: any;
    nutritionSummaryLunch: any;
    nutritionSummaryDinner: any;
    date: any;
    day: any;
    items: any;
}
