export default GetRecipeInformation200ResponseWinePairing;
/**
 * The GetRecipeInformation200ResponseWinePairing model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformation200ResponseWinePairing
 * @version 1.1
 */
declare class GetRecipeInformation200ResponseWinePairing {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, pairedWines: any, pairingText: any, productMatches: any): void;
    /**
     * Constructs a <code>GetRecipeInformation200ResponseWinePairing</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformation200ResponseWinePairing} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformation200ResponseWinePairing} The populated <code>GetRecipeInformation200ResponseWinePairing</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetRecipeInformation200ResponseWinePairing</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformation200ResponseWinePairing
     * @param pairedWines {Array.<String>}
     * @param pairingText {String}
     * @param productMatches {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformation200ResponseWinePairingProductMatchesInner>}
     */
    constructor(pairedWines: Array<string>, pairingText: string, productMatches: Array<module>);
    pairedWines: any;
    pairingText: any;
    productMatches: any;
}
