export default GetRecipeNutritionWidgetByID200Response;
/**
 * The GetRecipeNutritionWidgetByID200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetRecipeNutritionWidgetByID200Response
 * @version 1.1
 */
declare class GetRecipeNutritionWidgetByID200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, calories: any, carbs: any, fat: any, protein: any, bad: any, good: any): void;
    /**
     * Constructs a <code>GetRecipeNutritionWidgetByID200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeNutritionWidgetByID200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeNutritionWidgetByID200Response} The populated <code>GetRecipeNutritionWidgetByID200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetRecipeNutritionWidgetByID200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeNutritionWidgetByID200Response
     * @param calories {String}
     * @param carbs {String}
     * @param fat {String}
     * @param protein {String}
     * @param bad {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeNutritionWidgetByID200ResponseBadInner>}
     * @param good {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeNutritionWidgetByID200ResponseGoodInner>}
     */
    constructor(calories: string, carbs: string, fat: string, protein: string, bad: Array<module>, good: Array<module>);
    calories: any;
    carbs: any;
    fat: any;
    protein: any;
    bad: any;
    good: any;
}
