export default GuessNutritionByDishName200Response;
/**
 * The GuessNutritionByDishName200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200Response
 * @version 1.1
 */
declare class GuessNutritionByDishName200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, calories: any, carbs: any, fat: any, protein: any, recipesUsed: any): void;
    /**
     * Constructs a <code>GuessNutritionByDishName200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200Response} The populated <code>GuessNutritionByDishName200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GuessNutritionByDishName200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200Response
     * @param calories {module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200ResponseCalories}
     * @param carbs {module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200ResponseCalories}
     * @param fat {module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200ResponseCalories}
     * @param protein {module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200ResponseCalories}
     * @param recipesUsed {Number}
     */
    constructor(calories: any, carbs: any, fat: any, protein: any, recipesUsed: number);
    calories: any;
    carbs: any;
    fat: any;
    protein: any;
    recipesUsed: any;
}
