export default GuessNutritionByDishName200ResponseCalories;
/**
 * The GuessNutritionByDishName200ResponseCalories model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200ResponseCalories
 * @version 1.1
 */
declare class GuessNutritionByDishName200ResponseCalories {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, confidenceRange95Percent: any, standardDeviation: any, unit: any, value: any): void;
    /**
     * Constructs a <code>GuessNutritionByDishName200ResponseCalories</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200ResponseCalories} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200ResponseCalories} The populated <code>GuessNutritionByDishName200ResponseCalories</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GuessNutritionByDishName200ResponseCalories</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200ResponseCalories
     * @param confidenceRange95Percent {module:com.spoonacular.client/com.spoonacular.client.model/GuessNutritionByDishName200ResponseCaloriesConfidenceRange95Percent}
     * @param standardDeviation {Number}
     * @param unit {String}
     * @param value {Number}
     */
    constructor(confidenceRange95Percent: any, standardDeviation: number, unit: string, value: number);
    confidenceRange95Percent: any;
    standardDeviation: any;
    unit: any;
    value: any;
}
