export default ImageAnalysisByURL200Response;
/**
 * The ImageAnalysisByURL200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200Response
 * @version 1.1
 */
declare class ImageAnalysisByURL200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, nutrition: any, category: any, recipes: any): void;
    /**
     * Constructs a <code>ImageAnalysisByURL200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200Response} The populated <code>ImageAnalysisByURL200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ImageAnalysisByURL200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200Response
     * @param nutrition {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutrition}
     * @param category {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseCategory}
     * @param recipes {Array.<module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseRecipesInner>}
     */
    constructor(nutrition: any, category: any, recipes: Array<module>);
    nutrition: any;
    category: any;
    recipes: any;
}
