export default ImageAnalysisByURL200ResponseCategory;
/**
 * The ImageAnalysisByURL200ResponseCategory model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseCategory
 * @version 1.1
 */
declare class ImageAnalysisByURL200ResponseCategory {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, name: any, probability: any): void;
    /**
     * Constructs a <code>ImageAnalysisByURL200ResponseCategory</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseCategory} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseCategory} The populated <code>ImageAnalysisByURL200ResponseCategory</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ImageAnalysisByURL200ResponseCategory</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseCategory
     * @param name {String}
     * @param probability {Number}
     */
    constructor(name: string, probability: number);
    name: any;
    probability: any;
}
