export default ImageAnalysisByURL200ResponseNutrition;
/**
 * The ImageAnalysisByURL200ResponseNutrition model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutrition
 * @version 1.1
 */
declare class ImageAnalysisByURL200ResponseNutrition {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, recipesUsed: any, calories: any, fat: any, protein: any, carbs: any): void;
    /**
     * Constructs a <code>ImageAnalysisByURL200ResponseNutrition</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutrition} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutrition} The populated <code>ImageAnalysisByURL200ResponseNutrition</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ImageAnalysisByURL200ResponseNutrition</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutrition
     * @param recipesUsed {Number}
     * @param calories {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutritionCalories}
     * @param fat {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutritionCalories}
     * @param protein {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutritionCalories}
     * @param carbs {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutritionCalories}
     */
    constructor(recipesUsed: number, calories: any, fat: any, protein: any, carbs: any);
    recipesUsed: any;
    calories: any;
    fat: any;
    protein: any;
    carbs: any;
}
