export default ImageAnalysisByURL200ResponseNutritionCalories;
/**
 * The ImageAnalysisByURL200ResponseNutritionCalories model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutritionCalories
 * @version 1.1
 */
declare class ImageAnalysisByURL200ResponseNutritionCalories {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, value: any, unit: any, confidenceRange95Percent: any, standardDeviation: any): void;
    /**
     * Constructs a <code>ImageAnalysisByURL200ResponseNutritionCalories</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutritionCalories} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutritionCalories} The populated <code>ImageAnalysisByURL200ResponseNutritionCalories</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ImageAnalysisByURL200ResponseNutritionCalories</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutritionCalories
     * @param value {Number}
     * @param unit {String}
     * @param confidenceRange95Percent {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseNutritionCaloriesConfidenceRange95Percent}
     * @param standardDeviation {Number}
     */
    constructor(value: number, unit: string, confidenceRange95Percent: any, standardDeviation: number);
    value: any;
    unit: any;
    confidenceRange95Percent: any;
    standardDeviation: any;
}
