export default ImageAnalysisByURL200ResponseRecipesInner;
/**
 * The ImageAnalysisByURL200ResponseRecipesInner model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseRecipesInner
 * @version 1.1
 */
declare class ImageAnalysisByURL200ResponseRecipesInner {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, id: any, title: any, imageType: any, url: any): void;
    /**
     * Constructs a <code>ImageAnalysisByURL200ResponseRecipesInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseRecipesInner} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseRecipesInner} The populated <code>ImageAnalysisByURL200ResponseRecipesInner</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ImageAnalysisByURL200ResponseRecipesInner</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ImageAnalysisByURL200ResponseRecipesInner
     * @param id {Number}
     * @param title {String}
     * @param imageType {String}
     * @param url {String}
     */
    constructor(id: number, title: string, imageType: string, url: string);
    id: any;
    title: any;
    imageType: any;
    url: any;
}
