export default IngredientSearch200Response;
/**
 * The IngredientSearch200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/IngredientSearch200Response
 * @version 1.1
 */
declare class IngredientSearch200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, results: any, offset: any, number: any, totalResults: any): void;
    /**
     * Constructs a <code>IngredientSearch200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/IngredientSearch200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/IngredientSearch200Response} The populated <code>IngredientSearch200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>IngredientSearch200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/IngredientSearch200Response
     * @param results {Array.<module:com.spoonacular.client/com.spoonacular.client.model/IngredientSearch200ResponseResultsInner>}
     * @param offset {Number}
     * @param number {Number}
     * @param totalResults {Number}
     */
    constructor(results: Array<module>, offset: number, number: number, totalResults: number);
    results: any;
    offset: any;
    number: any;
    totalResults: any;
}
