export default SearchAllFood200Response;
/**
 * The SearchAllFood200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/SearchAllFood200Response
 * @version 1.1
 */
declare class SearchAllFood200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, query: any, totalResults: any, limit: any, offset: any, searchResults: any): void;
    /**
     * Constructs a <code>SearchAllFood200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/SearchAllFood200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/SearchAllFood200Response} The populated <code>SearchAllFood200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>SearchAllFood200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/SearchAllFood200Response
     * @param query {String}
     * @param totalResults {Number}
     * @param limit {Number}
     * @param offset {Number}
     * @param searchResults {Array.<module:com.spoonacular.client/com.spoonacular.client.model/SearchAllFood200ResponseSearchResultsInner>}
     */
    constructor(query: string, totalResults: number, limit: number, offset: number, searchResults: Array<module>);
    query: any;
    totalResults: any;
    limit: any;
    offset: any;
    searchResults: any;
}
