export default SearchCustomFoods200Response;
/**
 * The SearchCustomFoods200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/SearchCustomFoods200Response
 * @version 1.1
 */
declare class SearchCustomFoods200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, customFoods: any, type: any, offset: any, number: any): void;
    /**
     * Constructs a <code>SearchCustomFoods200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/SearchCustomFoods200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/SearchCustomFoods200Response} The populated <code>SearchCustomFoods200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>SearchCustomFoods200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/SearchCustomFoods200Response
     * @param customFoods {Array.<module:com.spoonacular.client/com.spoonacular.client.model/SearchCustomFoods200ResponseCustomFoodsInner>}
     * @param type {String}
     * @param offset {Number}
     * @param number {Number}
     */
    constructor(customFoods: Array<module>, type: string, offset: number, number: number);
    customFoods: any;
    type: any;
    offset: any;
    number: any;
}
