export default SearchFoodVideos200Response;
/**
 * The SearchFoodVideos200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/SearchFoodVideos200Response
 * @version 1.1
 */
declare class SearchFoodVideos200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, videos: any, totalResults: any): void;
    /**
     * Constructs a <code>SearchFoodVideos200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/SearchFoodVideos200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/SearchFoodVideos200Response} The populated <code>SearchFoodVideos200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>SearchFoodVideos200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/SearchFoodVideos200Response
     * @param videos {Array.<module:com.spoonacular.client/com.spoonacular.client.model/SearchFoodVideos200ResponseVideosInner>}
     * @param totalResults {Number}
     */
    constructor(videos: Array<module>, totalResults: number);
    videos: any;
    totalResults: any;
}
