export default SearchRecipesByIngredients200ResponseInner;
/**
 * The SearchRecipesByIngredients200ResponseInner model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/SearchRecipesByIngredients200ResponseInner
 * @version 1.1
 */
declare class SearchRecipesByIngredients200ResponseInner {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, id: any, image: any, imageType: any, likes: any, missedIngredientCount: any, missedIngredients: any, title: any, unusedIngredients: any, usedIngredientCount: any, usedIngredients: any): void;
    /**
     * Constructs a <code>SearchRecipesByIngredients200ResponseInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/SearchRecipesByIngredients200ResponseInner} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/SearchRecipesByIngredients200ResponseInner} The populated <code>SearchRecipesByIngredients200ResponseInner</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>SearchRecipesByIngredients200ResponseInner</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/SearchRecipesByIngredients200ResponseInner
     * @param id {Number}
     * @param image {String}
     * @param imageType {String}
     * @param likes {Number}
     * @param missedIngredientCount {Number}
     * @param missedIngredients {Array.<module:com.spoonacular.client/com.spoonacular.client.model/SearchRecipesByIngredients200ResponseInnerMissedIngredientsInner>}
     * @param title {String}
     * @param unusedIngredients {Array.<Object>}
     * @param usedIngredientCount {Number}
     * @param usedIngredients {Array.<module:com.spoonacular.client/com.spoonacular.client.model/SearchRecipesByIngredients200ResponseInnerMissedIngredientsInner>}
     */
    constructor(id: number, image: string, imageType: string, likes: number, missedIngredientCount: number, missedIngredients: Array<module>, title: string, unusedIngredients: Array<Object>, usedIngredientCount: number, usedIngredients: Array<module>);
    id: any;
    image: any;
    imageType: any;
    likes: any;
    missedIngredientCount: any;
    missedIngredients: any;
    title: any;
    unusedIngredients: any;
    usedIngredientCount: any;
    usedIngredients: any;
}
