export default AddMealPlanTemplate200Response;
/**
 * The AddMealPlanTemplate200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/AddMealPlanTemplate200Response
 * @version 1.1
 */
declare class AddMealPlanTemplate200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, name: any, items: any, publishAsPublic: any): void;
    /**
     * Constructs a <code>AddMealPlanTemplate200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/AddMealPlanTemplate200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/AddMealPlanTemplate200Response} The populated <code>AddMealPlanTemplate200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>AddMealPlanTemplate200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/AddMealPlanTemplate200Response
     * @param name {String}
     * @param items {Array.<module:com.spoonacular.client/com.spoonacular.client.model/AddMealPlanTemplate200ResponseItemsInner>}
     * @param publishAsPublic {Boolean}
     */
    constructor(name: string, items: Array<module>, publishAsPublic: boolean);
    name: any;
    items: any;
    publishAsPublic: any;
}
