export default AnalyzeARecipeSearchQuery200Response;
/**
 * The AnalyzeARecipeSearchQuery200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/AnalyzeARecipeSearchQuery200Response
 * @version 1.1
 */
declare class AnalyzeARecipeSearchQuery200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, dishes: any, ingredients: any, cuisines: any, modifiers: any): void;
    /**
     * Constructs a <code>AnalyzeARecipeSearchQuery200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/AnalyzeARecipeSearchQuery200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/AnalyzeARecipeSearchQuery200Response} The populated <code>AnalyzeARecipeSearchQuery200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>AnalyzeARecipeSearchQuery200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/AnalyzeARecipeSearchQuery200Response
     * @param dishes {Array.<module:com.spoonacular.client/com.spoonacular.client.model/AnalyzeARecipeSearchQuery200ResponseDishesInner>}
     * @param ingredients {Array.<module:com.spoonacular.client/com.spoonacular.client.model/AnalyzeARecipeSearchQuery200ResponseIngredientsInner>}
     * @param cuisines {Array.<String>}
     * @param modifiers {Array.<String>}
     */
    constructor(dishes: Array<module>, ingredients: Array<module>, cuisines: Array<string>, modifiers: Array<string>);
    dishes: any;
    ingredients: any;
    cuisines: any;
    modifiers: any;
}
