export default ComputeGlycemicLoad200Response;
/**
 * The ComputeGlycemicLoad200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ComputeGlycemicLoad200Response
 * @version 1.1
 */
declare class ComputeGlycemicLoad200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, totalGlycemicLoad: any, ingredients: any): void;
    /**
     * Constructs a <code>ComputeGlycemicLoad200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ComputeGlycemicLoad200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ComputeGlycemicLoad200Response} The populated <code>ComputeGlycemicLoad200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ComputeGlycemicLoad200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ComputeGlycemicLoad200Response
     * @param totalGlycemicLoad {Number}
     * @param ingredients {Array.<module:com.spoonacular.client/com.spoonacular.client.model/ComputeGlycemicLoad200ResponseIngredientsInner>}
     */
    constructor(totalGlycemicLoad: number, ingredients: Array<module>);
    totalGlycemicLoad: any;
    ingredients: any;
}
