export default ComputeIngredientAmount200Response;
/**
 * The ComputeIngredientAmount200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ComputeIngredientAmount200Response
 * @version 1.1
 */
declare class ComputeIngredientAmount200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, amount: any, unit: any): void;
    /**
     * Constructs a <code>ComputeIngredientAmount200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ComputeIngredientAmount200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ComputeIngredientAmount200Response} The populated <code>ComputeIngredientAmount200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ComputeIngredientAmount200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ComputeIngredientAmount200Response
     * @param amount {Number}
     * @param unit {String}
     */
    constructor(amount: number, unit: string);
    amount: any;
    unit: any;
}
