export default ConnectUser200Response;
/**
 * The ConnectUser200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ConnectUser200Response
 * @version 1.1
 */
declare class ConnectUser200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, username: any, hash: any): void;
    /**
     * Constructs a <code>ConnectUser200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ConnectUser200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ConnectUser200Response} The populated <code>ConnectUser200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ConnectUser200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ConnectUser200Response
     * @param username {String}
     * @param hash {String}
     */
    constructor(username: string, hash: string);
    username: any;
    hash: any;
}
