export default ConvertAmounts200Response;
/**
 * The ConvertAmounts200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ConvertAmounts200Response
 * @version 1.1
 */
declare class ConvertAmounts200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, sourceAmount: any, sourceUnit: any, targetAmount: any, targetUnit: any, answer: any): void;
    /**
     * Constructs a <code>ConvertAmounts200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ConvertAmounts200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ConvertAmounts200Response} The populated <code>ConvertAmounts200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ConvertAmounts200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ConvertAmounts200Response
     * @param sourceAmount {Number}
     * @param sourceUnit {String}
     * @param targetAmount {Number}
     * @param targetUnit {String}
     * @param answer {String}
     */
    constructor(sourceAmount: number, sourceUnit: string, targetAmount: number, targetUnit: string, answer: string);
    sourceAmount: any;
    sourceUnit: any;
    targetAmount: any;
    targetUnit: any;
    answer: any;
}
