export default DetectFoodInText200Response;
/**
 * The DetectFoodInText200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/DetectFoodInText200Response
 * @version 1.1
 */
declare class DetectFoodInText200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, annotations: any): void;
    /**
     * Constructs a <code>DetectFoodInText200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/DetectFoodInText200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/DetectFoodInText200Response} The populated <code>DetectFoodInText200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>DetectFoodInText200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/DetectFoodInText200Response
     * @param annotations {Array.<module:com.spoonacular.client/com.spoonacular.client.model/DetectFoodInText200ResponseAnnotationsInner>}
     */
    constructor(annotations: Array<module>);
    annotations: any;
}
