export default DetectFoodInText200ResponseAnnotationsInner;
/**
 * The DetectFoodInText200ResponseAnnotationsInner model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/DetectFoodInText200ResponseAnnotationsInner
 * @version 1.1
 */
declare class DetectFoodInText200ResponseAnnotationsInner {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, annotation: any, image: any, tag: any): void;
    /**
     * Constructs a <code>DetectFoodInText200ResponseAnnotationsInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/DetectFoodInText200ResponseAnnotationsInner} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/DetectFoodInText200ResponseAnnotationsInner} The populated <code>DetectFoodInText200ResponseAnnotationsInner</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>DetectFoodInText200ResponseAnnotationsInner</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/DetectFoodInText200ResponseAnnotationsInner
     * @param annotation {String}
     * @param image {String}
     * @param tag {String}
     */
    constructor(annotation: string, image: string, tag: string);
    annotation: any;
    image: any;
    tag: any;
}
