export default GenerateMealPlan200ResponseNutrients;
/**
 * The GenerateMealPlan200ResponseNutrients model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GenerateMealPlan200ResponseNutrients
 * @version 1.1
 */
declare class GenerateMealPlan200ResponseNutrients {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, calories: any, carbohydrates: any, fat: any, protein: any): void;
    /**
     * Constructs a <code>GenerateMealPlan200ResponseNutrients</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GenerateMealPlan200ResponseNutrients} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GenerateMealPlan200ResponseNutrients} The populated <code>GenerateMealPlan200ResponseNutrients</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GenerateMealPlan200ResponseNutrients</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GenerateMealPlan200ResponseNutrients
     * @param calories {Number}
     * @param carbohydrates {Number}
     * @param fat {Number}
     * @param protein {Number}
     */
    constructor(calories: number, carbohydrates: number, fat: number, protein: number);
    calories: any;
    carbohydrates: any;
    fat: any;
    protein: any;
}
