export default GetComparableProducts200ResponseComparableProducts;
/**
 * The GetComparableProducts200ResponseComparableProducts model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetComparableProducts200ResponseComparableProducts
 * @version 1.1
 */
declare class GetComparableProducts200ResponseComparableProducts {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, calories: any, likes: any, price: any, protein: any, spoonacularScore: any, sugar: any): void;
    /**
     * Constructs a <code>GetComparableProducts200ResponseComparableProducts</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetComparableProducts200ResponseComparableProducts} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetComparableProducts200ResponseComparableProducts} The populated <code>GetComparableProducts200ResponseComparableProducts</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetComparableProducts200ResponseComparableProducts</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetComparableProducts200ResponseComparableProducts
     * @param calories {Array.<Object>}
     * @param likes {Array.<Object>}
     * @param price {Array.<Object>}
     * @param protein {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetComparableProducts200ResponseComparableProductsProteinInner>}
     * @param spoonacularScore {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetComparableProducts200ResponseComparableProductsProteinInner>}
     * @param sugar {Array.<Object>}
     */
    constructor(calories: Array<Object>, likes: Array<Object>, price: Array<Object>, protein: Array<module>, spoonacularScore: Array<module>, sugar: Array<Object>);
    calories: any;
    likes: any;
    price: any;
    protein: any;
    spoonacularScore: any;
    sugar: any;
}
