export default GetConversationSuggests200Response;
/**
 * The GetConversationSuggests200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetConversationSuggests200Response
 * @version 1.1
 */
declare class GetConversationSuggests200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, suggests: any, words: any): void;
    /**
     * Constructs a <code>GetConversationSuggests200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetConversationSuggests200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetConversationSuggests200Response} The populated <code>GetConversationSuggests200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetConversationSuggests200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetConversationSuggests200Response
     * @param suggests {module:com.spoonacular.client/com.spoonacular.client.model/GetConversationSuggests200ResponseSuggests}
     * @param words {Array.<Object>}
     */
    constructor(suggests: any, words: Array<Object>);
    suggests: any;
    words: any;
}
