export default GetRecipeInformationBulk200ResponseInner;
/**
 * The GetRecipeInformationBulk200ResponseInner model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformationBulk200ResponseInner
 * @version 1.1
 */
declare class GetRecipeInformationBulk200ResponseInner {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, id: any, title: any, image: any, imageType: any, servings: any, readyInMinutes: any, license: any, sourceName: any, sourceUrl: any, spoonacularSourceUrl: any, aggregateLikes: any, healthScore: any, spoonacularScore: any, pricePerServing: any, analyzedInstructions: any, cheap: any, creditsText: any, cuisines: any, dairyFree: any, diets: any, gaps: any, glutenFree: any, instructions: any, ketogenic: any, lowFodmap: any, occasions: any, sustainable: any, vegan: any, vegetarian: any, veryHealthy: any, veryPopular: any, whole30: any, weightWatcherSmartPoints: any, dishTypes: any, extendedIngredients: any, summary: any, winePairing: any): void;
    /**
     * Constructs a <code>GetRecipeInformationBulk200ResponseInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformationBulk200ResponseInner} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformationBulk200ResponseInner} The populated <code>GetRecipeInformationBulk200ResponseInner</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetRecipeInformationBulk200ResponseInner</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformationBulk200ResponseInner
     * @param id {Number}
     * @param title {String}
     * @param image {String}
     * @param imageType {String}
     * @param servings {Number}
     * @param readyInMinutes {Number}
     * @param license {String}
     * @param sourceName {String}
     * @param sourceUrl {String}
     * @param spoonacularSourceUrl {String}
     * @param aggregateLikes {Number}
     * @param healthScore {Number}
     * @param spoonacularScore {Number}
     * @param pricePerServing {Number}
     * @param analyzedInstructions {Array.<String>}
     * @param cheap {Boolean}
     * @param creditsText {String}
     * @param cuisines {Array.<String>}
     * @param dairyFree {Boolean}
     * @param diets {Array.<String>}
     * @param gaps {String}
     * @param glutenFree {Boolean}
     * @param instructions {String}
     * @param ketogenic {Boolean}
     * @param lowFodmap {Boolean}
     * @param occasions {Array.<String>}
     * @param sustainable {Boolean}
     * @param vegan {Boolean}
     * @param vegetarian {Boolean}
     * @param veryHealthy {Boolean}
     * @param veryPopular {Boolean}
     * @param whole30 {Boolean}
     * @param weightWatcherSmartPoints {Number}
     * @param dishTypes {Array.<String>}
     * @param extendedIngredients {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformation200ResponseExtendedIngredientsInner>}
     * @param summary {String}
     * @param winePairing {module:com.spoonacular.client/com.spoonacular.client.model/GetRecipeInformation200ResponseWinePairing}
     */
    constructor(id: number, title: string, image: string, imageType: string, servings: number, readyInMinutes: number, license: string, sourceName: string, sourceUrl: string, spoonacularSourceUrl: string, aggregateLikes: number, healthScore: number, spoonacularScore: number, pricePerServing: number, analyzedInstructions: Array<string>, cheap: boolean, creditsText: string, cuisines: Array<string>, dairyFree: boolean, diets: Array<string>, gaps: string, glutenFree: boolean, instructions: string, ketogenic: boolean, lowFodmap: boolean, occasions: Array<string>, sustainable: boolean, vegan: boolean, vegetarian: boolean, veryHealthy: boolean, veryPopular: boolean, whole30: boolean, weightWatcherSmartPoints: number, dishTypes: Array<string>, extendedIngredients: Array<module>, summary: string, winePairing: any);
    id: any;
    title: any;
    image: any;
    imageType: any;
    servings: any;
    readyInMinutes: any;
    license: any;
    sourceName: any;
    sourceUrl: any;
    spoonacularSourceUrl: any;
    aggregateLikes: any;
    healthScore: any;
    spoonacularScore: any;
    pricePerServing: any;
    analyzedInstructions: any;
    cheap: any;
    creditsText: any;
    cuisines: any;
    dairyFree: any;
    diets: any;
    gaps: any;
    glutenFree: any;
    instructions: any;
    ketogenic: any;
    lowFodmap: any;
    occasions: any;
    sustainable: any;
    vegan: any;
    vegetarian: any;
    veryHealthy: any;
    veryPopular: any;
    whole30: any;
    weightWatcherSmartPoints: any;
    dishTypes: any;
    extendedIngredients: any;
    summary: any;
    winePairing: any;
}
