export default GetRecipePriceBreakdownByID200Response;
/**
 * The GetRecipePriceBreakdownByID200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetRecipePriceBreakdownByID200Response
 * @version 1.1
 */
declare class GetRecipePriceBreakdownByID200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, ingredients: any, totalCost: any, totalCostPerServing: any): void;
    /**
     * Constructs a <code>GetRecipePriceBreakdownByID200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetRecipePriceBreakdownByID200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetRecipePriceBreakdownByID200Response} The populated <code>GetRecipePriceBreakdownByID200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetRecipePriceBreakdownByID200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetRecipePriceBreakdownByID200Response
     * @param ingredients {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetRecipePriceBreakdownByID200ResponseIngredientsInner>}
     * @param totalCost {Number}
     * @param totalCostPerServing {Number}
     */
    constructor(ingredients: Array<module>, totalCost: number, totalCostPerServing: number);
    ingredients: any;
    totalCost: any;
    totalCostPerServing: any;
}
