export default GetWinePairing200Response;
/**
 * The GetWinePairing200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetWinePairing200Response
 * @version 1.1
 */
declare class GetWinePairing200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, pairedWines: any, pairingText: any, productMatches: any): void;
    /**
     * Constructs a <code>GetWinePairing200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetWinePairing200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetWinePairing200Response} The populated <code>GetWinePairing200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetWinePairing200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetWinePairing200Response
     * @param pairedWines {Array.<String>}
     * @param pairingText {String}
     * @param productMatches {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetWinePairing200ResponseProductMatchesInner>}
     */
    constructor(pairedWines: Array<string>, pairingText: string, productMatches: Array<module>);
    pairedWines: any;
    pairingText: any;
    productMatches: any;
}
