export default GetWineRecommendation200Response;
/**
 * The GetWineRecommendation200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/GetWineRecommendation200Response
 * @version 1.1
 */
declare class GetWineRecommendation200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, recommendedWines: any, totalFound: any): void;
    /**
     * Constructs a <code>GetWineRecommendation200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/GetWineRecommendation200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/GetWineRecommendation200Response} The populated <code>GetWineRecommendation200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>GetWineRecommendation200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/GetWineRecommendation200Response
     * @param recommendedWines {Array.<module:com.spoonacular.client/com.spoonacular.client.model/GetWineRecommendation200ResponseRecommendedWinesInner>}
     * @param totalFound {Number}
     */
    constructor(recommendedWines: Array<module>, totalFound: number);
    recommendedWines: any;
    totalFound: any;
}
