export default ParseIngredients200ResponseInnerNutrition;
/**
 * The ParseIngredients200ResponseInnerNutrition model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutrition
 * @version 1.1
 */
declare class ParseIngredients200ResponseInnerNutrition {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, nutrients: any, properties: any, flavonoids: any, caloricBreakdown: any, weightPerServing: any): void;
    /**
     * Constructs a <code>ParseIngredients200ResponseInnerNutrition</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutrition} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutrition} The populated <code>ParseIngredients200ResponseInnerNutrition</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ParseIngredients200ResponseInnerNutrition</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutrition
     * @param nutrients {Array.<module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionNutrientsInner>}
     * @param properties {Array.<module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionPropertiesInner>}
     * @param flavonoids {Array.<module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionPropertiesInner>}
     * @param caloricBreakdown {module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionCaloricBreakdown}
     * @param weightPerServing {module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionWeightPerServing}
     */
    constructor(nutrients: Array<module>, properties: Array<module>, flavonoids: Array<module>, caloricBreakdown: any, weightPerServing: any);
    nutrients: any;
    properties: any;
    flavonoids: any;
    caloricBreakdown: any;
    weightPerServing: any;
}
