export default ParseIngredients200ResponseInnerNutritionCaloricBreakdown;
/**
 * The ParseIngredients200ResponseInnerNutritionCaloricBreakdown model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionCaloricBreakdown
 * @version 1.1
 */
declare class ParseIngredients200ResponseInnerNutritionCaloricBreakdown {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, percentProtein: any, percentFat: any, percentCarbs: any): void;
    /**
     * Constructs a <code>ParseIngredients200ResponseInnerNutritionCaloricBreakdown</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionCaloricBreakdown} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionCaloricBreakdown} The populated <code>ParseIngredients200ResponseInnerNutritionCaloricBreakdown</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>ParseIngredients200ResponseInnerNutritionCaloricBreakdown</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionCaloricBreakdown
     * @param percentProtein {Number}
     * @param percentFat {Number}
     * @param percentCarbs {Number}
     */
    constructor(percentProtein: number, percentFat: number, percentCarbs: number);
    percentProtein: any;
    percentFat: any;
    percentCarbs: any;
}
