export default SearchGroceryProducts200Response;
/**
 * The SearchGroceryProducts200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProducts200Response
 * @version 1.1
 */
declare class SearchGroceryProducts200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, products: any, totalProducts: any, type: any, offset: any, number: any): void;
    /**
     * Constructs a <code>SearchGroceryProducts200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProducts200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProducts200Response} The populated <code>SearchGroceryProducts200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>SearchGroceryProducts200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProducts200Response
     * @param products {Array.<module:com.spoonacular.client/com.spoonacular.client.model/AutocompleteRecipeSearch200ResponseInner>}
     * @param totalProducts {Number}
     * @param type {String}
     * @param offset {Number}
     * @param number {Number}
     */
    constructor(products: Array<module>, totalProducts: number, type: string, offset: number, number: number);
    products: any;
    totalProducts: any;
    type: any;
    offset: any;
    number: any;
}
