export default SearchGroceryProductsByUPC200ResponseNutrition;
/**
 * The SearchGroceryProductsByUPC200ResponseNutrition model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProductsByUPC200ResponseNutrition
 * @version 1.1
 */
declare class SearchGroceryProductsByUPC200ResponseNutrition {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, nutrients: any, caloricBreakdown: any): void;
    /**
     * Constructs a <code>SearchGroceryProductsByUPC200ResponseNutrition</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProductsByUPC200ResponseNutrition} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProductsByUPC200ResponseNutrition} The populated <code>SearchGroceryProductsByUPC200ResponseNutrition</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>SearchGroceryProductsByUPC200ResponseNutrition</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProductsByUPC200ResponseNutrition
     * @param nutrients {Array.<module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionNutrientsInner>}
     * @param caloricBreakdown {module:com.spoonacular.client/com.spoonacular.client.model/ParseIngredients200ResponseInnerNutritionCaloricBreakdown}
     */
    constructor(nutrients: Array<module>, caloricBreakdown: any);
    nutrients: any;
    caloricBreakdown: any;
}
