export default SearchGroceryProductsByUPC200ResponseServings;
/**
 * The SearchGroceryProductsByUPC200ResponseServings model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProductsByUPC200ResponseServings
 * @version 1.1
 */
declare class SearchGroceryProductsByUPC200ResponseServings {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, number: any, size: any, unit: any): void;
    /**
     * Constructs a <code>SearchGroceryProductsByUPC200ResponseServings</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProductsByUPC200ResponseServings} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProductsByUPC200ResponseServings} The populated <code>SearchGroceryProductsByUPC200ResponseServings</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>SearchGroceryProductsByUPC200ResponseServings</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/SearchGroceryProductsByUPC200ResponseServings
     * @param number {Number}
     * @param size {Number}
     * @param unit {String}
     */
    constructor(number: number, size: number, unit: string);
    number: any;
    size: any;
    unit: any;
}
