export default SearchMenuItems200ResponseMenuItemsInner;
/**
 * The SearchMenuItems200ResponseMenuItemsInner model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/SearchMenuItems200ResponseMenuItemsInner
 * @version 1.1
 */
declare class SearchMenuItems200ResponseMenuItemsInner {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, id: any, title: any, restaurantChain: any, image: any, imageType: any): void;
    /**
     * Constructs a <code>SearchMenuItems200ResponseMenuItemsInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/SearchMenuItems200ResponseMenuItemsInner} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/SearchMenuItems200ResponseMenuItemsInner} The populated <code>SearchMenuItems200ResponseMenuItemsInner</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>SearchMenuItems200ResponseMenuItemsInner</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/SearchMenuItems200ResponseMenuItemsInner
     * @param id {Number}
     * @param title {String}
     * @param restaurantChain {String}
     * @param image {String}
     * @param imageType {String}
     */
    constructor(id: number, title: string, restaurantChain: string, image: string, imageType: string);
    id: any;
    title: any;
    restaurantChain: any;
    image: any;
    imageType: any;
    servings: any;
}
