export default SearchRecipes200ResponseResultsInner;
/**
 * The SearchRecipes200ResponseResultsInner model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/SearchRecipes200ResponseResultsInner
 * @version 1.1
 */
declare class SearchRecipes200ResponseResultsInner {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, id: any, title: any, calories: any, carbs: any, fat: any, image: any, imageType: any, protein: any): void;
    /**
     * Constructs a <code>SearchRecipes200ResponseResultsInner</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/SearchRecipes200ResponseResultsInner} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/SearchRecipes200ResponseResultsInner} The populated <code>SearchRecipes200ResponseResultsInner</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>SearchRecipes200ResponseResultsInner</code>.
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/SearchRecipes200ResponseResultsInner
     * @param id {Number}
     * @param title {String}
     * @param calories {Number}
     * @param carbs {String}
     * @param fat {String}
     * @param image {String}
     * @param imageType {String}
     * @param protein {String}
     */
    constructor(id: number, title: string, calories: number, carbs: string, fat: string, image: string, imageType: string, protein: string);
    id: any;
    title: any;
    calories: any;
    carbs: any;
    fat: any;
    image: any;
    imageType: any;
    protein: any;
}
