export default SearchSiteContent200Response;
/**
 * The SearchSiteContent200Response model module.
 * @module com.spoonacular.client/com.spoonacular.client.model/SearchSiteContent200Response
 * @version 1.1
 */
declare class SearchSiteContent200Response {
    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj: any, articles: any, groceryProducts: any, menuItems: any, recipes: any): void;
    /**
     * Constructs a <code>SearchSiteContent200Response</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:com.spoonacular.client/com.spoonacular.client.model/SearchSiteContent200Response} obj Optional instance to populate.
     * @return {module:com.spoonacular.client/com.spoonacular.client.model/SearchSiteContent200Response} The populated <code>SearchSiteContent200Response</code> instance.
     */
    static constructFromObject(data: Object, obj: any): any;
    /**
     * Constructs a new <code>SearchSiteContent200Response</code>.
     *
     * @alias module:com.spoonacular.client/com.spoonacular.client.model/SearchSiteContent200Response
     * @param articles {Array.<module:com.spoonacular.client/com.spoonacular.client.model/SearchSiteContent200ResponseArticlesInner>}
     * @param groceryProducts {Array.<module:com.spoonacular.client/com.spoonacular.client.model/SearchSiteContent200ResponseGroceryProductsInner>}
     * @param menuItems {Array.<module:com.spoonacular.client/com.spoonacular.client.model/SearchSiteContent200ResponseGroceryProductsInner>}
     * @param recipes {Array.<module:com.spoonacular.client/com.spoonacular.client.model/SearchSiteContent200ResponseGroceryProductsInner>}
     */
    constructor(articles: Array<module>, groceryProducts: Array<module>, menuItems: Array<module>, recipes: Array<module>);
    Articles: any;
    'Grocery Products': any;
    'Menu Items': any;
    Recipes: any;
}
